Mail archive
alpine-aports

[alpine-aports] [PATCH] main/xrandr: upgrade to 1.5.0

From: Valery Kartel <valery.kartel_at_gmail.com>
Date: Wed, 24 Feb 2016 16:23:06 +0200

---
 main/xrandr/APKBUILD                           | 23 ++++++++++----------
 main/xrandr/xrandr-1.3.0-clone-nameclash.patch | 29 --------------------------
 2 files changed, 11 insertions(+), 41 deletions(-)
 delete mode 100644 main/xrandr/xrandr-1.3.0-clone-nameclash.patch
diff --git a/main/xrandr/APKBUILD b/main/xrandr/APKBUILD
index c58c711..a193a23 100644
--- a/main/xrandr/APKBUILD
+++ b/main/xrandr/APKBUILD
_at_@ -1,24 +1,19 @@
+# Contributor: Valery Kartel <valery.kartel_at_gmail.com>
 # Maintainer: Natanael Copa <ncopa_at_alpinelinux.org>
 pkgname=xrandr
-pkgver=1.4.0
+pkgver=1.5.0
 pkgrel=0
-pkgdesc="primitive command line interface to RandR extension"
+pkgdesc="Command line interface to RandR extension"
 url="http://xorg.freedesktop.org/"
 arch="all"
 license="custom"
 subpackages="$pkgname-doc"
 depends=
-makedepends="libxrandr-dev libxrender-dev libx11-dev"
+makedepends="libxrandr-dev"
 source="http://xorg.freedesktop.org/releases/individual/app/$pkgname-$pkgver.tar.bz2"
 
-_builddir="$srcdir/$pkgname-$pkgver"
-
-prepare() {
-	cd "$_builddir"
-	update_config_sub || return 1
-}
-
-build () {
+_builddir="$srcdir"/$pkgname-$pkgver
+build() {
 	cd "$_builddir"
 	./configure \
 		--build=$CBUILD \
_at_@ -32,5 +27,9 @@ build () {
 package() {
 	cd "$_builddir"
 	make DESTDIR="$pkgdir" install || return 1
+	rm "$pkgdir"/usr/bin/xkeystone || return 1
 }
-md5sums="4d68317238bb14a33c0e419233d57d87  xrandr-1.4.0.tar.bz2"
+
+md5sums="ebffac98021b8f1dc71da0c1918e9b57  xrandr-1.5.0.tar.bz2"
+sha256sums="c1cfd4e1d4d708c031d60801e527abc9b6d34b85f2ffa2cadd21f75ff38151cd  xrandr-1.5.0.tar.bz2"
+sha512sums="11d8fb1b98fbe215555d5bb875d82f80a7fd6a61c93ebf175c226f4f747570e8d18980add54a4b88d20dc637155074b2a558b34f035d66a465f324281d65f9e4  xrandr-1.5.0.tar.bz2"
diff --git a/main/xrandr/xrandr-1.3.0-clone-nameclash.patch b/main/xrandr/xrandr-1.3.0-clone-nameclash.patch
deleted file mode 100644
index 55af559..0000000
--- a/main/xrandr/xrandr-1.3.0-clone-nameclash.patch
+++ /dev/null
_at_@ -1,29 +0,0 @@
---- xrandr-1.3.0/xrandr.c.orig	2009-04-10 12:26:02.000000000 +0000
-+++ xrandr-1.3.0/xrandr.c	2009-04-10 12:43:44.000000000 +0000
-_at_@ -209,7 +209,7 @@
- 
- #if HAS_RANDR_1_2
- typedef enum _policy {
--    clone, extend
-+    p_clone, extend
- } policy_t;
- 
- typedef enum _relation {
-_at_@ -2027,7 +2027,7 @@
-     int		ret = 0;
- #if HAS_RANDR_1_2
-     output_t	*output = NULL;
--    policy_t	policy = clone;
-+    policy_t	policy = p_clone;
-     Bool    	setit_1_2 = False;
-     Bool    	query_1_2 = False;
-     Bool	modeit = False;
-_at_@ -2401,7 +2401,7 @@
- 	    continue;
- 	}
- 	if (!strcmp ("--clone", argv[i])) {
--	    policy = clone;
-+	    policy = p_clone;
- 	    setit_1_2 = True;
- 	    continue;
- 	}
-- 
2.7.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Wed Feb 24 2016 - 16:23:06 GMT